package com.jxml.quick.model.qiml;

import java.util.ArrayList;

/**
 * ChildSequence -
 * 
 * The childSequence element defines a series of sub-models within the content model
 * of the element being defined.
 */
public class ChildSequence implements ContentModel {

    protected boolean optional_33;

    protected boolean repeating_34;

    protected Access access_35;

    /** list of ContentModel */
    protected ArrayList contentModel_36 = new ArrayList();


    public ChildSequence() {
    }

    /** full constructor */
    public ChildSequence(boolean optional_33, boolean repeating_34, Access access_35, ArrayList contentModel_36) {
        this.optional_33 = optional_33;
        this.repeating_34 = repeating_34;
        this.access_35 = access_35;
        if (contentModel_36 != null)    
            this.contentModel_36 = contentModel_36;
    }

    /** minimum constructor */
    public ChildSequence(ArrayList contentModel_36) {
        if (contentModel_36 != null)    
        this.contentModel_36 = contentModel_36;
    }

    public boolean getOptional_33() {
        return(optional_33);
    }

    public void setOptional_33(boolean optional_33) {
        this.optional_33 = optional_33;
    }

    public boolean getRepeating_34() {
        return(repeating_34);
    }

    public void setRepeating_34(boolean repeating_34) {
        this.repeating_34 = repeating_34;
    }

    public Access getAccess_35() {
        return(access_35);
    }

    public void setAccess_35(Access access_35) {
        this.access_35 = access_35;
    }

    /** list of ContentModel */
    public ArrayList getContentModel_36() {
        return(contentModel_36);
    }

    /** list of ContentModel */
    public void setContentModel_36(ArrayList contentModel_36) {
        this.contentModel_36 = contentModel_36;
    }

    public ContentModel getContentModel(int i) {
        return((ContentModel)contentModel_36.get(i));
    }

    public void setContentModel(int i, ContentModel contentModel) {
        contentModel_36.set(i, contentModel);
    }

    public int contentModelCount() {
        return(contentModel_36.size());
    }

    public void addContentModel(ContentModel contentModel) {
        contentModel_36.add(contentModel);
    }

}
